package com.sunxung.factoring.entity.purchcontractmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

/**
 * <p>
 * 采购合同审核-结算与付款表
 * </p>
 *
 * @author yafan
 * @since 2024-01-11
 */
@TableName("purch_contract_approval_settle_payment")
public class PurchContractApprovalSettlePayment extends BaseEntity {

    /**
     * 结算方式
     */
    @TableField("settle_method")
    private String settleMethod;

    /**
     * 付款时间及方式
     */
    @TableField("payment_method")
    private String paymentMethod;

    /**
     * 采购合同审核表Id
     */
    @TableField("purch_contract_approval_id")
    private Long purchContractApprovalId;

    public String getSettleMethod() {
        return settleMethod;
    }

    public void setSettleMethod(String settleMethod) {
        this.settleMethod = settleMethod;
    }

    public String getPaymentMethod() {
        return paymentMethod;
    }

    public void setPaymentMethod(String paymentMethod) {
        this.paymentMethod = paymentMethod;
    }

    public Long getPurchContractApprovalId() {
        return purchContractApprovalId;
    }

    public void setPurchContractApprovalId(Long purchContractApprovalId) {
        this.purchContractApprovalId = purchContractApprovalId;
    }

    @Override
    public String toString() {
        return "PurchContractApprovalSettlePayment{" +
                ", settleMethod=" + settleMethod +
                ", paymentMethod=" + paymentMethod +
                ", purchContractApprovalId=" + purchContractApprovalId +
                "}";
    }
}
